Main Page Widgets Namespaces Book

# printsettings.h File Reference

## Classes
class | Gtk::PrintSettings
| A PrintSettings object represents the settings of a print dialog in a system-independent way. More...
class | Gtk::PrintSettings::PrintSettings::Keys
| Print settings keys. More...
class | Gtk::PrintSettings::PrintSettings::PageRange
## Namespaces
namespace | Glib
namespace | Gtk
## Enumerations
enum | Gtk::NumberUpLayout { Gtk::NUMBER_UP_LAYOUT_LEFT_TO_RIGHT_TOP_TO_BOTTOM, Gtk::NUMBER_UP_LAYOUT_LEFT_TO_RIGHT_BOTTOM_TO_TOP, Gtk::NUMBER_UP_LAYOUT_RIGHT_TO_LEFT_TOP_TO_BOTTOM, Gtk::NUMBER_UP_LAYOUT_RIGHT_TO_LEFT_BOTTOM_TO_TOP, Gtk::NUMBER_UP_LAYOUT_TOP_TO_BOTTOM_LEFT_TO_RIGHT, Gtk::NUMBER_UP_LAYOUT_TOP_TO_BOTTOM_RIGHT_TO_LEFT, Gtk::NUMBER_UP_LAYOUT_BOTTOM_TO_TOP_LEFT_TO_RIGHT, Gtk::NUMBER_UP_LAYOUT_BOTTOM_TO_TOP_RIGHT_TO_LEFT }
enum | Gtk::PageSet { Gtk::PAGE_SET_ALL, Gtk::PAGE_SET_EVEN, Gtk::PAGE_SET_ODD }
enum | Gtk::PrintDuplex { Gtk::PRINT_DUPLEX_SIMPLEX, Gtk::PRINT_DUPLEX_HORIZONTAL, Gtk::PRINT_DUPLEX_VERTICAL }
enum | Gtk::PrintPages { Gtk::PRINT_PAGES_ALL, Gtk::PRINT_PAGES_CURRENT, Gtk::PRINT_PAGES_RANGES }
enum | Gtk::PrintQuality { Gtk::PRINT_QUALITY_LOW, Gtk::PRINT_QUALITY_NORMAL, Gtk::PRINT_QUALITY_HIGH, Gtk::PRINT_QUALITY_DRAFT }